<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd"><html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8">
        <title>Example: Multi-tiered Menu From Markup (YUI Library)</title>

                <!-- Standard reset and fonts -->

        <link rel="stylesheet" type="text/css" href="../../build/reset/reset.css">
        <link rel="stylesheet" type="text/css" href="../../build/fonts/fonts.css">

 

        <!-- CSS for Menu -->

        <link rel="stylesheet" type="text/css" href="../../build/menu/assets/menu.css">
 

        <!-- Page-specific styles -->

        <style type="text/css">
            
            h1 { font-weight:bold; }            

            div.yuimenu {
            
                position:absolute;
                visibility:hidden;
            
            }

            p#clicknote {

                margin-top:1em;

            }

            p#clicknote em {
            
                font-weight:bold;
            
            }

        </style>

                <!-- Namespace source file -->

        <script type="text/javascript" src="../../build/yahoo/yahoo.js"></script>

        <!-- Dependency source files -->

        <script type="text/javascript" src="../../build/event/event.js"></script>
        <script type="text/javascript" src="../../build/dom/dom.js"></script>


        <!-- Container source file -->
        <script type="text/javascript" src="../../build/container/container_core.js"></script>

        <!-- Menu source file -->
        <script type="text/javascript" src="../../build/menu/menu.js"></script>

        <!-- Page-specific script -->
        
        <script type="text/javascript">

            YAHOO.example.onMenuReady = function(p_oEvent) {

                // Instantiate and render the menu bar and corresponding submenus

                var oMenu = new YAHOO.widget.Menu("productsandservices", { fixedcenter:true, visible:true });

                oMenu.render();


                function onMenuToggleMouseDown(p_oEvent) {

                    YAHOO.util.Event.stopPropagation(p_oEvent);
                                    
                    oMenu.show();
                
                }

                YAHOO.util.Event.addListener("menutoggle", "mousedown", onMenuToggleMouseDown);

            }


            // Initialize and render the menu bar when it is available

            YAHOO.util.Event.onContentReady("productsandservices", YAHOO.example.onMenuReady);
            
        </script>

    </head>
    <body>

        <h1>Example: Multi-tiered Menu From Markup (YUI Library) <em>[<a href="index.html">Examples Home</a>]</em></h1>
        <p>This example demonstrates how to create a multi-tiered menu using existing markup on the page.  The Menu API also supports building a menu like this <a href="example08.html">using nothing but JavaScript</a>.</p>
        <p id="clicknote"><em>Note:</em> By default clicking outside of a menu will hide it.  Additionally, menu items without a submenu or a URL to navigate will hide their parent menu when clicked.  Click the "Show Menu" button below to make the menu visible if it is hidden.</p>
        <button id="menutoggle">Show Menu</button>

        <div id="productsandservices" class="yuimenu">
            <div class="bd">
                <ul class="first-of-type">
                    <li class="yuimenuitem"><a href="http://communication.yahoo.com">Communication</a>

                        <div id="communication" class="yuimenu">
                            <div class="bd">
                                <ul>
                                    <li class="yuimenuitem"><a href="http://360.yahoo.com">360&#176;</a></li>
                                    <li class="yuimenuitem"><a href="http://alerts.yahoo.com">Alerts</a></li>
                                    <li class="yuimenuitem"><a href="http://avatars.yahoo.com">Avatars</a></li>
                                    <li class="yuimenuitem"><a href="http://groups.yahoo.com">Groups</a></li>
                                    <li class="yuimenuitem"><a href="http://promo.yahoo.com/broadband/">Internet Access</a></li>
                                    <li class="yuimenuitem">PIM
                                    
                                        <div id="pim" class="yuimenu">
                                            <div class="bd">
                                                <ul class="first-of-type">
                                                    <li class="yuimenuitem"><a href="http://mail.yahoo.com">Yahoo! Mail</a></li>
                                                    <li class="yuimenuitem"><a href="http://addressbook.yahoo.com">Yahoo! Address Book</a></li>
                                                    <li class="yuimenuitem"><a href="http://calendar.yahoo.com">Yahoo! Calendar</a></li>
                                                    <li class="yuimenuitem"><a href="http://notepad.yahoo.com">Yahoo! Notepad</a></li>
                                                </ul>            
                                            </div>
                                        </div>                    
                                    
                                    </li>
                                    <li class="yuimenuitem"><a href="http://members.yahoo.com">Member Directory</a></li>
                                    <li class="yuimenuitem"><a href="http://messenger.yahoo.com">Messenger</a></li>
                                    <li class="yuimenuitem"><a href="http://mobile.yahoo.com">Mobile</a></li>
                                    <li class="yuimenuitem"><a href="http://photos.yahoo.com">Photos</a></li>
                                </ul>
                            </div>
                        </div>                    
                    
                    </li>
                    <li class="yuimenuitem"><a href="http://shopping.yahoo.com">Shopping</a>

                        <div id="shopping" class="yuimenu">
                            <div class="bd">                    
                                <ul>
                                    <li class="yuimenuitem"><a href="http://auctions.shopping.yahoo.com">Auctions</a></li>
                                    <li class="yuimenuitem"><a href="http://autos.yahoo.com">Autos</a></li>
                                    <li class="yuimenuitem"><a href="http://classifieds.yahoo.com">Classifieds</a></li>
                                    <li class="yuimenuitem"><a href="http://shopping.yahoo.com/b:Flowers%20%26%20Gifts:20146735">Flowers &#38; Gifts</a></li>
                                    <li class="yuimenuitem"><a href="http://points.yahoo.com">Points</a></li>
                                    <li class="yuimenuitem"><a href="http://realestate.yahoo.com">Real Estate</a></li>
                                    <li class="yuimenuitem"><a href="http://travel.yahoo.com">Travel</a></li>
                                    <li class="yuimenuitem"><a href="http://wallet.yahoo.com">Wallet</a></li>
                                    <li class="yuimenuitem"><a href="http://yp.yahoo.com">Yellow Pages</a></li>
                                </ul>
                            </div>
                        </div>                    
                    
                    </li>
                    <li class="yuimenuitem"><a href="http://entertainment.yahoo.com">Entertainment</a>

                        <div id="entertainment" class="yuimenu">
                            <div class="bd">                    
                                <ul>
                                    <li class="yuimenuitem"><a href="http://fantasysports.yahoo.com">Fantasy Sports</a></li>
                                    <li class="yuimenuitem"><a href="http://games.yahoo.com">Games</a></li>
                                    <li class="yuimenuitem"><a href="http://www.yahooligans.com">Kids</a></li>
                                    <li class="yuimenuitem"><a href="http://music.yahoo.com">Music</a></li>
                                    <li class="yuimenuitem"><a href="http://movies.yahoo.com">Movies</a></li>
                                    <li class="yuimenuitem"><a href="http://music.yahoo.com/launchcast">Radio</a></li>
                                    <li class="yuimenuitem"><a href="http://travel.yahoo.com">Travel</a></li>
                                    <li class="yuimenuitem"><a href="http://tv.yahoo.com">TV</a></li>
                                </ul>                    
                            </div>
                        </div>                                        
                    
                    </li>
                    <li class="yuimenuitem">Information

                        <div id="information" class="yuimenu">
                            <div class="bd">                                        
                                <ul>
                                    <li class="yuimenuitem"><a href="http://downloads.yahoo.com">Downloads</a></li>
                                    <li class="yuimenuitem"><a href="http://finance.yahoo.com">Finance</a></li>
                                    <li class="yuimenuitem"><a href="http://health.yahoo.com">Health</a></li>
                                    <li class="yuimenuitem"><a href="http://local.yahoo.com">Local</a></li>
                                    <li class="yuimenuitem"><a href="http://maps.yahoo.com">Maps &#38; Directions</a></li>
                                    <li class="yuimenuitem"><a href="http://my.yahoo.com">My Yahoo!</a></li>
                                    <li class="yuimenuitem"><a href="http://news.yahoo.com">News</a></li>
                                    <li class="yuimenuitem"><a href="http://search.yahoo.com">Search</a></li>
                                    <li class="yuimenuitem"><a href="http://smallbusiness.yahoo.com">Small Business</a></li>
                                    <li class="yuimenuitem"><a href="http://weather.yahoo.com">Weather</a></li>
                                </ul>                    
                            </div>
                        </div>                                        
                    
                    </li>
                </ul>            
            </div>
        </div>
        
    </body>
</html>